<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Interactive Virus Simulation | See how viruses spread</title>
    <meta name="description"
        content="An interactive simulation that shows the spread of viruses like Covid-19 and Ebola. See the impact of different viruses and measures like social distancing" />
    <link rel="stylesheet" href="css/style.css?v=17">
    <link rel="icon" href="img/virus.png">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
</head>

<body id="main">
    <header id="topnav">
        <h1 id="pageTitle">
            <a href="https://simulationvirus.com/" class="nostyle">
                <strong>Virus Simulation</strong>
            </a>
        </h1>
        <h2 id="subTitle">
            <a href="https://simulationvirus.com/" class="nostyle">
                <small>Virus transmission and effect of social distancing</small>
            </a>
        </h2>
    </header>

    <div class="mainContent">
        <div class="mainContainer">
            <div class="card" id="explanation">
                <p><strong><span id="activeVirusTitle">COVID-19</span></strong> with <strong><span
                            id="activeDistancingTitle">free-for-all</span></strong></p>
            </div>
            <div id="simulationDiv">
                <canvas id="simulationCanvas">Your browser does not support the HTML5 canvas tag.</canvas>
            </div>
            <div id="chartDiv">
                <canvas id="myChart" style="display: block; height: inherit; width: inherit;"></canvas>
            </div>
        </div>
        <div class="leftContainer">
            <div id="changeSimulationCard" class="card">
                <h3 class="cardTitle">Change Simulation</h3>

                <form id="radioBoxxes" name="myForm">
                    <div id="predefinedDiv">
                        <input id="radio1" type="radio" name="simSettings" value="predefined"
                            onclick="handleRadioClick(this);" checked>
                        <label class="pointer" for="radio1">Predefined</label>
                    </div>
                    <div id="controlDiv">
                        <input id="radio2" type="radio" name="simSettings" value="control"
                            onclick="handleRadioClick(this);">
                        <label class="pointer" for="radio2">Custom</label>
                    </div>
                </form>

                <div id="selectBoxxes">
                    <div>
                        <div class="labelAndSelect">
                            <label class="selectLabel">Viral disease: </label>
                            <select onchange="changeSimulatedDisease(false)" id="virus" class="round">
                                <option value="corona" selected>COVID-19</option>
                                <option value="ebola">Ebola</option>
                                <option value="spanish-flu">Spanish flu</option>
                                <option value="sars">SARS</option>
                            </select>
                        </div>
                        <h4 class="selectInfoLbl">The viral disease that the simulation is representing.</h4>
                    </div>
                    <div>
                        <div class="labelAndSelect">
                            <label class="selectLabel">Distancing: </label>
                            <select onchange="changeState()" id="system" class="round">
                                <option value="free-for-all" selected>Free-for-all</option>
                                <option value="moderate-distancing">Moderate distancing</option>
                                <option value="extensive-distancing">Extensive distancing</option>
                            </select>
                        </div>
                        <h4 id="selectInfoMeasuresLbl" class="selectInfoLbl">The measures taken to prevent to spread of
                            the virus.</h4>
                    </div>
                </div>

                <div id="sliders">
                    <div class="labelAndRange">
                        <label>Entity Speed: <strong><span id="rangeValueSpeed"></span></strong></label>
                        <input class="slider" type="range" id="speed" min="0" max="100" value="60">
                    </div>
                    <div class="labelAndRange">
                        <label>Fatality Rate: <strong><span id="rangeValueFatality"></span></strong></label>
                        <input class="slider" type="range" id="fatality" min="0" max="100" value="10">
                    </div>
                    <div class="labelAndRange">
                        <label>Distancing: <strong><span id="rangeValueDistancing"></span></strong></label>
                        <input class="slider" type="range" id="distancing" min="0" max="100" value="25">
                    </div>
                    <div class="labelAndRange">
                        <label>Disease Duration: <strong><span id="rangeValueDuration"></span></strong></label>
                        <input class="slider" type="range" id="duration" min="1" max="30" value="13">
                    </div class="labelAndRange">
                    <label>Reproduction Number: <strong><span id="rangeValueReproduction"></span></strong></label>
                    <div>
                    </div>
                </div>
            </div>

            <div id="numbersCard" class="card">
                <div id="healthyColor">
                    <h2 class="statusLbl">Healthy: </h2><label class="valueLbl" id="healthyRate">0</label>
                    <h4 class="numbersInfoLbl">Number of people who have not been exposed to the virus.</h4>
                </div>
                <div id="infectedColor">
                    <h2 class="statusLbl">Infected: </h2><label class="valueLbl" id="infectedRate">0</label>
                    <h4 class="numbersInfoLbl">Number of people who are currently infected with the virus</h4>
                </div>
                <div id="recoveredColor">
                    <h2 class="statusLbl">Recovered: </h2><label class="valueLbl" id="curedRate">0</label>
                    <h4 class="numbersInfoLbl">Number of people who have been infected and recovered. We assume that all
                        these people become immune to the virus.</h4>
                </div>
                <div id="deceasedColor">
                    <h2 class="statusLbl">Deceased: </h2> <label class="valueLbl" id="deathRate">0</label>
                    <h4 class="numbersInfoLbl">Number of people who have passed away due to the virus.</h4>
                </div>
                <div id="timeColor">
                    <h2 class="statusLbl">Time: </h2><label class="valueLbl" id="timePassed">0</label><label
                        id="seconds"> sec</label>
                    <h4 id="numbersInfoTimeLbl" class="numbersInfoLbl">Amount of time passed since the start of the
                        simulation.</h4>
                </div>
            </div>

            <div id="simbtn">
                <button onclick="pause(true)" id="pause" class="button">Pause</button>
                <button onclick="redraw()" id="redraw" class="button">Restart</button>
            </div>
        </div>

        <div class="rightContainer">
            <div class="aboutCard card">
                <h3 class="cardTitle">About the Simulation</h3>
                <p class="aboutLbl">
                    The <strong>coronavirus pandemic</strong> has gripped the whole world.
                    Governments have introduced different measures such as social distancing to combat the spread of the
                    virus.
                    We want to show how viruses like the coronavirus spread and also highlight the impact of social
                    distancing.
                    <br> <br>
                    The simulation represents a population of 152 entities where an entity can have a state of either
                    healthy, infected, recovered or dead.
                    There is an accompanying chart that keeps track of the states of the entities.
                    The simulation is interactive and allows you to select from different viruses like the coronavirus,
                    Ebola, SARS and the Spanish flu.
                    You can also select different measures to contain the spread of the virus like moderate social
                    distancing and extensive social distancing.
                    <br> <br>
                    Have a look at how the viral diseases spread and see just why COVID-19 spreads so easily and view
                    the impact of the social distancing measures.
                </p>
            </div>

            <button onclick="exportCsvData()" class="button csvAndResultButton">Export Data As CSV</button>

            <button onclick="window.location='https://simulationvirus.com/results.php'"
                class="button csvAndResultButton">See all the results</button>

            <div class="card social-bar">
                <div class="facebook-button">
                    <a target="_blank"
                        href="https://facebook.com/sharer/sharer.php?u=https://simulationvirus.com&t=Share our simulation!"><i
                            class="fa fa-facebook"></i><span class="share-text">Share</span></a>
                </div>
                <div class="insta-button">
                    <a target="_blank" href="https://www.instagram.com/?url=https://www.simulationvirus.com"><i
                            class="fa fa-instagram"></i><span class="share-text">Share</span></a>
                </div>
                <div class="twitter-button">
                    <a target="_blank"
                        href="https://twitter.com/share?text=Share our simulation!&url=https://simulationvirus.com"><i
                            class="fa fa-twitter"></i><span class="share-text">Share</span></a>
                </div>
                <div class="linkedin-button">
                    <a target="_blank"
                        href="https://linkedin.com/shareArticle?url=https://simulationvirus.com&title=Share our simulation!"><i
                            class="fa fa-linkedin"></i><span class="share-text">Share</span></a>
                </div>
            </div>
        </div>
    </div>

    <footer class="site-footer">
        <div class="containerFooterOne">
            <div class="aboutUs">
                <h6>About us</h6>
                <p class="footerLbl">
                    Our names are Harrison & Floris and we are two Computer Science students at Utrecht University. We
                    have written a research paper that used our simulation to gather results, check it out: <a
                        class="footerLink" href="https://simulationvirus.com/pdf/paperSpreadEbola.pdf">The spread of
                        Ebola virus disease compared to other diseases</a>
                </p>
            </div>

            <div class="contact">
                <h6>Contact us</h6>
                <p class="footerLbl">
                    If you have any suggestions or feedback feel free to contact us at: info@simulationvirus.com
                </p>
            </div>

            <div class="disclaimer">
                <h6>Disclaimer</h6>
                <p class="footerLbl">
                    Although our simulation displays the general effect of viruses spreading around a population there
                    are a lot of factors that are impossible to take into consideration with a simulation
                </p>
            </div>
        </div>

        <div class="containerFooterTwo">
            <div id="social">
                <ul class="social-icons">
                    <li><a class="linkedin" href="https://www.linkedin.com/in/harrison-moude-foko-a2b888114"><i
                                class="fa fa-linkedin"></i></a></li>
                    <li><a class="linkedin" href="https://www.linkedin.com/in/floris-roos"><i
                                class="fa fa-linkedin"></i></a></li>
                </ul>
            </div>
            <div id="copyright">
                <p class="copyright-text">
                    Copyright &copy; 2020 All Rights Reserved by Floris and Harrison.
                </p>
            </div>
        </div>
    </footer>

    <script type="text/javascript" src="js/Simulation.js?v=17"></script>
    <script type="text/javascript" src="js/SimulationObject.js?v=17"></script>
    <script type="text/javascript" src="js/EbolaCircle.js?v=17"></script>
    <script type="text/javascript" src="js/SarsCircle.js?v=17"></script>
    <script type="text/javascript" src="js/CoronaCircle.js?v=17"></script>
    <script type="text/javascript" src="js/CustomCircle.js?v=17"></script>
    <script type="text/javascript" src="js/SpanishFluCircle.js?v=17"></script>
    <script type="text/javascript" src="js/chart.js?v=17"></script>
    <script src="https://cdn.jsdelivr.net/npm/chart.js@2.8.0"></script>
    <script type="text/javascript" src="js/main.js?v=17"></script>
</body>

</html>